#sidebar {
    position: fixed;
    right: 0.16rem;
    bottom: 0.75rem;
    z-index: 100;
    background-color: rgb(0 0 0 / 0.6);
    border-radius: 6px;
}

.sidebar__item {
    position: relative;
    display: flex;
    flex-direction: column;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    padding-left: 0.14rem;
    padding-right: 0.14rem;
    padding-top: 0.16rem;
    padding-bottom: 0.16rem;
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
}

.sidebar__item::after {
    position: absolute;
    top: 0;
    left: 50%;
    width: 65%;
    height: 1px;
    background-color: rgb(255 255 255 / 0.25);
    content: "";
    transform: translateX(-50%);
}

/* .sidebar__item:first-child {
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
}

.sidebar__item.is-last {
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
} */

.sidebar__item:first-child::after {
    display: none;
}

.sidebar__icon {
    font-size: 0.24rem;
    line-height: 1;
}

@media (max-width: 767.9px) {
    .sidebar__icon {
        font-size: 20px;
    }
}

.sidebar__icon img {
    width: 1em;
    height: 1em;
    -o-object-fit: contain;
    object-fit: contain;
}

.sidebar__icon .iconfont {
    display: block;
    width: 1em;
    height: 1em;
    font-size: 1em;
}

.sidebar__text {
    margin-top: 0.83em;
    font-size: var(--font-zh-text);
    line-height: 1.6494;
    font-weight: 300;
    letter-spacing: 0.11em;
    font-size: 0.12rem;
    letter-spacing: 0.07em;
    font-family: FZLTHProJ-Regular, sans-serif;
}

@media (max-width: 767.9px) {
    .sidebar__text {
        margin-top: 0.5em;
        font-size: 10px;
    }
}

.sidebar__mini {
    display: flex;
    align-items: center;
    justify-content: center;
}

.sidebar__mini-wrap {
    pointer-events: none;
    position: absolute;
    top: 10%;
    right: 120%;
    width: 2.16rem;
    height: 2.24rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
    background-color: rgb(0 0 0 / 0.6);
    opacity: 0;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

@media (max-width: 767.9px) {
    .sidebar__mini-wrap {
        height: auto;
        padding-top: 0.16rem;
        padding-bottom: 0.16rem;
    }
}

.js-slidebar-wechat:hover .sidebar__mini-wrap {
    top: 0;
    opacity: 1;
}

.sidebar__mini-wrap .name {
    font-size: 0.14rem;
}

@media (max-width: 767.9px) {
    .sidebar__mini-wrap .name {
        font-size: 12px;
    }
}

.sidebar__mini-wrap .code {
    margin-top: 0.16rem;
    margin-bottom: 0.16rem;
    width: 1.2rem;
    height: 1.2rem;
}

.sidebar__mini-wrap .txt {
    font-size: 0.12rem;
}

@media (max-width: 767.9px) {
    .sidebar__mini-wrap .txt {
        font-size: 10px;
    }
}
